/*!
  \file gui_control.h
  \brief File that holds the class that creates the Control-Options.
*/
#ifndef _GUI_CONTROL_H
#define _GUI_CONTROL_H

#include "../gui_element.h"
#include <vector>
#include <string>
#include <QtGui/QGroupBox>
#include "../gui_saveable.h"

namespace OrxGui
{
  //! Class that creates the Control-Options.
  class GuiControl : public OrxGui::Element, public QGroupBox
  {
  public:
    GuiControl(OrxGui::Gui* gui);
    virtual ~GuiControl();

  private:
  };

  class GuiControlInput : public QGroupBox, public OrxGui::Saveable
  {
    Q_OBJECT
    GuiControlInput(const std::string& name, SaveableGroup* group, const std::string& defaultValue);

    public slots:

    signals:
      void optionChanged();
  };

}

#endif /* _GUI_CONTROL_H */
